<div class="left-browse-section">
  <div class="browse-section-container">
    <span class="title text-bold">BROWSE BY</span>
    <a (click)="toggleLinkText()">{{ linkText }}</a>
  </div>

  <div>
    <div class="sidebar-search-container">
      <input
        class="searchicon"
        id="searchInput"
        matInput
        placeholder="Search here"
        (keydown)="onEnterKeyPressed($event)"
      />
    </div>
  </div>

  <mat-divider></mat-divider>

  <div class="mat-label-container">
    <mat-label class="md-subhead"
      >Filter by category
      <span
        class="title-icons filter-catagory"
        alt="Filter By Category"
        title="Filter By Category"
      ></span>
    </mat-label>
  </div>
  <div *ngFor="let catalog of categories">
    <mat-checkbox
      color="primary"
      [checked]="catalog.selected"
      (change)="toggleCategorySelection(catalog)"
      >{{ catalog.name }}</mat-checkbox
    >
  </div>

  <mat-divider></mat-divider>
  <div>
    <div class="mat-label-container">
      <mat-label class="md-subhead"
        >Tags
        <span class="title-icons icon-tags" alt="Tags" title="Tags"></span>
      </mat-label>
    </div>

    <mat-chip-set aria-label="Tags selection" class="chip-set">
      <mat-chip-option
        *ngFor="let tag of visibleTags"
        [selected]="tag.selected"
        (click)="toggleTagSelection(tag)"
        color="primary"
        class="chips-width"
        [matTooltip]="tag.name"
      >
        {{ tag.name }}
      </mat-chip-option>
    </mat-chip-set>
  </div>
</div>
